> ## Documentation Index
> Fetch the complete documentation index at: https://platform.stepfun.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available voices

Use this API to query cloned voices under the current account. For built-in voices, see [supported voices](/guides/developer/tts#voices).

### Endpoint

`GET https://api.stepfun.ai/v1/audio/voices`

### Request parameters

* `limit` `string` ***optional***<br />Page size. Default 20, min 1, max 100.

* `order` `string` ***optional***<br />Sort order by creation time, `asc` or `desc` (default).<br /> `asc`: older voices first <br /> `desc`: newer voices first

* `before` `string` ***optional***<br /> Cursor voice ID; can be combined with `limit` / `order`.

* `after` `string` ***optional***<br /> Cursor voice ID; can be combined with `limit` / `order`.

### Response

* `object` `string`<br />Always `list`.

* `data` `array`<br /> Voice entries:
  * `id` `int` <br /> Voice ID for audio generation.
  * `file_id` `int`<br /> Source audio File ID used for cloning.
  * `created_at` `int`<br /> Creation time.

* `has_more` `boolean`<br /> Whether more pages exist.

* `first_id` `string`<br /> ID of the first voice in the page.

* `last_id` `string`<br /> ID of the last voice in the page.

### Example

<Tabs>
  <Tab title="curl">
    ```bash theme={null}
    curl --location 'https://api.stepfun.ai/v1/audio/voices' \
      --header 'Authorization: Bearer YOUR_STEPFUN_TOKEN'
    ```
  </Tab>

  <Tab title="python">
    ```python theme={null}
    import requests

    url = "https://api.stepfun.ai/v1/audio/voices"

    payload = {}
    headers = {
        "Authorization": "Bearer STEPFUN_API_TOKEN"
    }

    response = requests.request("GET", url, headers=headers, data=payload)

    print(response.text)
    ```
  </Tab>
</Tabs>

**Response**

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "voice-tone-FmBrMBqicC",
      "file_id": "file-FmBrMBqicC",
      "created_at": 1742374363
    }
  ],
  "has_more": false,
  "first_id": "voice-tone-FmBrMBqicC",
  "last_id": "voice-tone-FmBrMBqicC"
}
```
